## EogThumbView EogThumbView |

## Functions

GtkWidget * | eog_thumb_view_new ()
void | eog_thumb_view_set_model ()
void | eog_thumb_view_set_item_height ()
guint | eog_thumb_view_get_n_selected ()
EogImage * | eog_thumb_view_get_first_selected_image ()
GList * | eog_thumb_view_get_selected_images ()
void | eog_thumb_view_select_single ()
void | eog_thumb_view_set_current_image ()
void | eog_thumb_view_set_thumbnail_popup ()

## Types and Values

enum | EogThumbViewSelectionChange
struct | EogThumbView

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkIconView
                        ╰── EogThumbView

## Implemented Interfaces

EogThumbView implements AtkImplementorIface, GtkBuildable, GtkCellLayout, GtkScrollable and GtkOrientable.

## Description

## Functions

### eog_thumb_view_new ()

    GtkWidget *
    eog_thumb_view_new (void);

Creates a new EogThumbView object.

#### Returns

a newly created EogThumbView.

### eog_thumb_view_set_model ()

    void
    eog_thumb_view_set_model (EogThumbView *thumbview,
                              EogListStore *store);

Sets the EogListStore to be used with `thumbview` . If an initial image was set during `store` creation, its thumbnail will be selected and visible.

#### Parameters

thumbview | A EogThumbView. |
store | A EogListStore. |

### eog_thumb_view_set_item_height ()

    void
    eog_thumb_view_set_item_height (EogThumbView *thumbview,
                                    gint height);

Sets the height of each thumbnail in `thumbview` .

#### Parameters

thumbview | A EogThumbView. |
height | The desired height. |

### eog_thumb_view_get_n_selected ()

    guint
    eog_thumb_view_get_n_selected (EogThumbView *thumbview);

Gets the number of images that are currently selected in `thumbview` .

#### Parameters

thumbview | An EogThumbView. |

#### Returns

the number of selected images in `thumbview` .

### eog_thumb_view_get_first_selected_image ()

    EogImage *
    eog_thumb_view_get_first_selected_image
                                   (EogThumbView *thumbview);

Returns the first selected image. Note that the returned EogImage is not ensured to be really the first selected image in `thumbview` , but generally, it will be.

#### Parameters

thumbview | A EogThumbView. |

#### Returns

A EogImage.

[transfer full]

### eog_thumb_view_get_selected_images ()

    GList *
    eog_thumb_view_get_selected_images (EogThumbView *thumbview);

Gets a list with the currently selected images. Note that a new reference is hold for each image and the list must be freed with `g_list_free()`.

#### Parameters

thumbview | A EogThumbView. |

#### Returns

A newly allocated list of EogImage's.

[element-type EogImage][transfer full]

### eog_thumb_view_select_single ()

    void
    eog_thumb_view_select_single (EogThumbView *thumbview,
                                  EogThumbViewSelectionChange change);

Changes the current selection according to a single movement described by EogThumbViewSelectionChange. If there are no thumbnails currently selected, one is selected according to the natural selection according to the EogThumbViewSelectionChange used, p.g., when `EOG_THUMB_VIEW_SELECT_RIGHT` is the selected change, the first thumbnail will be selected.

#### Parameters

thumbview | A EogThumbView. |
change | A EogThumbViewSelectionChange, describing the desired selection change. |

### eog_thumb_view_set_current_image ()

    void
    eog_thumb_view_set_current_image (EogThumbView *thumbview,
                                      EogImage *image,
                                      gboolean deselect_other);

Changes the status of a image, marking it as currently selected. If `deselect_other` is `TRUE`, all other selected images will be deselected.

#### Parameters

thumbview | A EogThumbView. |
image | The image to be selected. |
deselect_other | Whether to deselect currently selected images. |

### eog_thumb_view_set_thumbnail_popup ()

    void
    eog_thumb_view_set_thumbnail_popup (EogThumbView *thumbview,
                                        GtkMenu *menu);

Set the contextual menu to be used with the thumbnails in the widget. This can be done only once.

#### Parameters

thumbview | An EogThumbView. |
menu | A GtkMenu. |

## Types and Values

### enum EogThumbViewSelectionChange

#### Members

EOG_THUMB_VIEW_SELECT_CURRENT |  |
EOG_THUMB_VIEW_SELECT_LEFT |  |
EOG_THUMB_VIEW_SELECT_RIGHT |  |
EOG_THUMB_VIEW_SELECT_FIRST |  |
EOG_THUMB_VIEW_SELECT_LAST |  |
EOG_THUMB_VIEW_SELECT_RANDOM |  |

### struct EogThumbView

    struct EogThumbView;